# Uses of Class
org.eclipse.net4j.db.ddl.SchemaElementNotFoundException

Packages that use SchemaElementNotFoundException
Package
Description
org.eclipse.net4j.db.ddl
The Net4j DB framework concepts for the abstraction of the SQL data definition language.

## Uses of SchemaElementNotFoundException in org.eclipse.net4j.db.ddl

Methods in org.eclipse.net4j.db.ddl that throw SchemaElementNotFoundException
Modifier and Type
Method
Description
`IDBIndex`
IDBTable.`addIndex(String name, IDBIndex.Type type, String... fieldNames)`
`IDBIndex`
IDBTable.`addIndex(IDBIndex.Type type, String... fieldNames)`
`IDBIndexField`
IDBIndex.`addIndexField(String name)`
`IDBField[]`
IDBTable.`getFields(String... fieldNames)`
`IDBField`
IDBIndex.`getFieldSafe(String name)`
`IDBField`
IDBTable.`getFieldSafe(String name)`
`IDBIndexField`
IDBIndex.`getIndexFieldSafe(String name)`
`IDBIndex`
IDBTable.`getIndexSafe(String name)`
`IDBTable`
IDBSchema.`getTableSafe(String name)`